import re
import os
import ctypes

dir=os.path.join(__file__.replace(os.path.basename(__file__), ""), "libs")

for lib in os.listdir(dir):
    regex=re.findall("(libcdrom.*\.[so|pyx])", lib)
    if len(regex)!=0:
        cdrom_dir=lib
        break
    else:
        cdrom_dir=None

if cdrom_dir==None:
    raise OSError("libcdrom.[so|pyx] lib its not avaible")

cdromlib=ctypes.CDLL(os.path.join(dir, cdrom_dir))
CDROM_OPEN=1
CDROM_CLOSED=0
CDROM_SUCESS=2
CDROM_ALREADY=3
CDROM_UNDEFINED=-1
CDROM_IOCTL_ERROR=-2
CDROM_INVALID=-3

def get_state(cdrom_name):
    return cdromlib.check_state(
        cdromlib.get_cdrom(
            ctypes.c_char_p(
                cdrom_name.encode()
            )
        )
    )

def close_cdrom(cdrom_name):
    # Some CDROM's dont support close
    # so this code maybe returns an 
    # CDROM_IOCTL_ERROR CODE

    return cdromlib.close_cdrom(
        cdromlib.get_cdrom(
            ctypes.c_char_p(
                cdrom_name.encode()
            )
        )
    )

def eject_cdrom(cdrom_name):
    return cdromlib.eject_cdrom(
        cdromlib.get_cdrom(
            ctypes.c_char_p(
                cdrom_name.encode()
            )
        )
    )

def toogle_cdrom(cdrom_name):
    return cdromlib.toogle_cdrom(
        ctypes.c_char_p(
            cdrom_name.encode()
        )
    )
