#
#	Copyright 2021 Boris Daniel [X93]
#
#	PyLinuxTools is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	PyLinuxTools is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
#	---------------------------------------------------------------------
#
#	Why PyLinuxTools?
#	PyLinuxTools its an all in one, it haves tools for control a lot of
#	things, like the backlight, leds, disks, batterys, procs and more!
#
#	And PyLinuxTools are Open Source and Free Software, following the
#	concept of Richard Stallman. Everybody can help, edit it redistribute
#	but maintaining the credits of the maintaners.
#

import os
import pylinuxtools.utils as utils
import pylinuxtools.kernel as kernel

def get_linux_version():
	return open("/proc/version").read().strip("\n")

def get_user():
	user=os.getenv("HOME", "/home").split("/")
	user=user[len(user)-1]
	return user

def get_tpm_version():
	if kernel.modprobe(get_actual_kernel(), "tpm"):
		return utils.get_sysfile("module/tpm/version")
	else:
		raise HardwareError("Your device dont support this feature")

def get_actual_kernel():
	return get_linux_version().split(" ")[2]

# Examples
# print(get_linux_version())
# print(get_actual_kernel())
# print(get_tpm_version())
# print(get_user())
