#
#	Copyright 2021 Boris Daniel [X93]
#
#	PyLinuxTools is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	PyLinuxTools is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
#	---------------------------------------------------------------------
#
#	Why PyLinuxTools?
#	PyLinuxTools its an all in one, it haves tools for control a lot of
#	things, like the backlight, leds, disks, batterys, procs and more!
#
#	And PyLinuxTools are Open Source and Free Software, following the
#	concept of Richard Stallman. Everybody can help, edit it redistribute
#	but maintaining the credits of the maintaners.
#

import os
import pathlib
import pylinuxtools.errors as errors

def get_sysfile(file: str):
	"""
	Gets an sysfs file and return's it wrapped

	Args:
		file: str
		The file to be requested
	"""
	file="/sys/"+file
	if fileexists(file):
		return open(file).read().replace("\n", "")
	else:
		raise errors.HardwareError(
			"The requested sysfs file dont exists, maybe your kernel dont have that feature or utility")

def pathexists(path):
	p=pathlib.Path(path)
	return True if p.is_dir() or p.is_file() else False

def fileexists(path):
	if pathexists(path):
		p=pathlib.Path(path)
		return p.is_file()
	else:
		return False

def direxists(path):
	if pathexists(path):
		p=pathlib.Path(path)
		return p.is_dir()
	else:
		return False

def _return_formated(num: int, size_format: int):
	"""
	Returns an formated size format, normally used on disk
	module

	Args:
		num: int
		The num to bee formatted

		size_format: int
		The size format, for an example, if the size format
		its 1 the num are divided for 1024, num/1024
	"""
	_out=num
	for i in range(0, size_format):
		_out/=1024
	return _out
