import os
import re
import setuptools
import subprocess
import setuptools.extension

name="pylinuxtools"
version=float(
    re.findall(
        "version=([\d|.|\s]*)",
        open(name+"/__init__.py").read()
    )[0]
)

extension=[
    setuptools.extension.Extension(
        f"{name}.libs.libcdrom",
        [f"{name}/libs/cdrom.c"],
        include_dirs=[os.path.join(os.getcwd(), f"{name}/libs/")]
    )
]

setuptools.setup(
    name=name,
    version=version,
    author="x93bd",
    author_email="borisdanielmm@nauta.cu",
    description="Python3 wrapper for sys linux dirs",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    packages=["pylinuxtools"],
    ext_modules=extension,

    keywords=["python3", "linux", "sys", "utils"],
    classifiers=[
        "Development Status :: 4 - Beta",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Natural Language :: English",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python :: 3 :: Only",
    ],
)
